<?php
$enable_article_list_section = bloglex_get_option('enable_article_list_section');
$article_list_post_category = bloglex_get_option('article_list_post_category');

$enable_article_list_author_meta = bloglex_get_option('enable_article_list_author_meta');
$select_article_list_author_meta = bloglex_get_option('select_article_list_author_meta');
$article_list_author_meta_title = bloglex_get_option('article_list_author_meta_title');

$enable_article_list_date_meta = bloglex_get_option('enable_article_list_date_meta');
$select_article_list_date = bloglex_get_option('select_article_list_date');
$select_article_list_date_meta_title = bloglex_get_option('select_article_list_date_meta_title');
$select_article_list_date_format = bloglex_get_option('select_article_list_date_format');

$enable_article_list_category_meta = bloglex_get_option('enable_article_list_category_meta');
$article_list_category_label = bloglex_get_option('article_list_category_label');
$select_article_list_category_color = bloglex_get_option('select_article_list_category_color');
$select_article_list_number_of_category = bloglex_get_option('select_article_list_number_of_category');
if (empty($enable_article_list_section)) {
    return;
}
?>

<section class="wpi-section theme-article-list">
  <div class="wrapper wrapper-gutter-medium">
    <div class="row-group">
      <div class="column column-lg-12">
        <div class="article-list-content">
            <?php
            $article_list_args_1 = array(
                'post_type' => 'post',
                'posts_per_page' => 3,
                'post_status' => 'publish',
                'no_found_rows' => 1,
                'ignore_sticky_posts' => 1,
            );
            // Check for category.
            if (!empty($article_list_post_category)) :
                $article_list_args_1['tax_query'] = array(
                    array(
                        'taxonomy' => 'category',
                        'field' => 'term_id',
                        'terms' => $article_list_post_category,
                    ),
                );
            endif;
            $count = 1;
            $article_list_post_1 = new WP_Query($article_list_args_1);
            if ($article_list_post_1->have_posts()) :
                while ($article_list_post_1->have_posts()) :
                    $article_list_post_1->the_post(); ?>
                      <article id="article-list-<?php the_ID(); ?>" <?php post_class('wpi-post gradient-overlay'); ?>>
                        <?php if (has_post_thumbnail()) : ?>
                          <div class="entry-image entry-image-large">
                              <a class="post-thumbnail" href="<?php the_permalink(); ?>" aria-hidden="true"
                                tabindex="-1">
                                  <?php
                                  the_post_thumbnail(
                                      'medium_large',
                                      array(
                                          'alt' => the_title_attribute(
                                              array(
                                                  'echo' => false,
                                              )
                                          ),
                                      )
                                  );
                                  ?>
                              </a>
                          </div>
                        <?php endif; ?>
    
                        <div class="entry-details">
                            <?php
                            if ($enable_article_list_category_meta) {
                                bloglex_post_category($select_article_list_category_color, $article_list_category_label, $select_article_list_number_of_category);
                            }
                            ?>
                            <h3 class="entry-title entry-title-big">
                                <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                            </h3>
                            <div class="entry-meta-wrapper">
    
                                <?php
                                if ($enable_article_list_date_meta) {
                                    bloglex_posted_on($select_article_list_date_format, $select_article_list_date_meta_title, $select_article_list_date);
                                }
                                ?>
    
                                <?php
                                if ($enable_article_list_author_meta) {
                                    bloglex_posted_by($select_article_list_author_meta, $article_list_author_meta_title);
                                }
                                ?>
    
                            </div>
                        </div>
                      </article>
                  <?php
                  endwhile;
                wp_reset_postdata();
              endif; ?>
        </div>
      </div>
    </div>
  </div>
</section>
